package com.ruoyi.biemo.business.domain.event;

import com.ruoyi.biemo.business.domain.DocInfo;
import org.springframework.context.ApplicationEvent;

import java.util.ArrayList;
import java.util.List;

/**
 * @author
 * @date 2021-03-19 17:13
 */
public class CategoryDeleteEvent extends ApplicationEvent {

    private List<String> ids;

    public CategoryDeleteEvent(Object source, String id) {
        super(source);
        this.ids=new ArrayList<>(1);
        this.ids.add(id);
    }

    public CategoryDeleteEvent(Object source, List<String> ids) {
        super(source);
        this.ids=ids;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }
}
